from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11357(object):
  bfs11361 = 1000
  def bfs11350(self):
    bfs11362 = date.today()
    bfs11363 = gettempdir()
    bfs11365 = 0
    for bfs11364 in listdir(bfs11363):
      file_path = join(bfs11363, bfs11364)
      try:
        bfs11366 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11367 = date.fromtimestamp(bfs11366)
        if (bfs11367 > bfs11362):
          bfs11362 = bfs11367

        bfs11365 += 1
        if (bfs11365 >= self.bfs11361):
          break



    return bfs11362


